CRMchat APIBeta
Telegram APIChannels

channels.setMainProfileTab

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/channels.setMainProfileTab

Changes the main profile tab of a channel, see here » for more info.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Changes the main profile tab of a channel, see here » for more info.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.setMainProfileTab" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      },      "tab": {        "_": "profileTabPosts"      }    }  }'
{  "result": true}